package com.ruoyi.order.mapper;

import java.util.List;
import com.ruoyi.order.domain.TbOrder;

/**
 * 资产单据Mapper接口
 * 
 * @author 原动力
 * @date 2023-05-24
 */
public interface TbOrderMapper 
{
    /**
     * 查询资产单据
     * 
     * @param id 资产单据主键
     * @return 资产单据
     */
    public TbOrder selectTbOrderById(Long id);

    /**
     * 查询资产单据列表
     * 
     * @param tbOrder 资产单据
     * @return 资产单据集合
     */
    public List<TbOrder> selectTbOrderList(TbOrder tbOrder);

    /**
     * 新增资产单据
     * 
     * @param tbOrder 资产单据
     * @return 结果
     */
    public int insertTbOrder(TbOrder tbOrder);

    /**
     * 修改资产单据
     * 
     * @param tbOrder 资产单据
     * @return 结果
     */
    public int updateTbOrder(TbOrder tbOrder);

    /**
     * 删除资产单据
     * 
     * @param id 资产单据主键
     * @return 结果
     */
    public int deleteTbOrderById(Long id);

    /**
     * 批量删除资产单据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbOrderByIds(Long[] ids);
}
